Upstream information

CVE-2020-26215 at MITRE

Description

Jupyter Notebook before version 6.1.5 has an Open redirect vulnerability. A maliciously crafted link to a notebook server could redirect the browser to a different website. All notebook servers are technically affected, however, these maliciously crafted links can only be reasonably made for known notebook server hosts. A link to your notebook server may appear safe, but ultimately redirect to a spoofed server on the public internet. The issue is patched in version 6.1.5.

SUSE information

Overall state of this security issue: Does not affect SUSE products

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database
Base Score 6.1
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Changed
Confidentiality Impact Low
Integrity Impact Low
Availability Impact None
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1180458 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Package Hub for SUSE Linux Enterprise 15 SP1
  • python-jupyter_notebook-doc >= 5.7.7-bp151.3.3.1
  • python2-jupyter_notebook >= 5.7.7-bp151.3.3.1
  • python2-jupyter_notebook-lang >= 5.7.7-bp151.3.3.1
  • python2-jupyter_notebook-latex >= 5.7.7-bp151.3.3.1
  • python3-jupyter_notebook >= 5.7.7-bp151.3.3.1
  • python3-jupyter_notebook-lang >= 5.7.7-bp151.3.3.1
  • python3-jupyter_notebook-latex >= 5.7.7-bp151.3.3.1
Patchnames:
openSUSE-2021-117
openSUSE Leap 15.1
  • python-jupyter_notebook-doc >= 5.7.7-lp151.2.3.1
  • python2-jupyter_notebook >= 5.7.7-lp151.2.3.1
  • python2-jupyter_notebook-lang >= 5.7.7-lp151.2.3.1
  • python2-jupyter_notebook-latex >= 5.7.7-lp151.2.3.1
  • python3-jupyter_notebook >= 5.7.7-lp151.2.3.1
  • python3-jupyter_notebook-lang >= 5.7.7-lp151.2.3.1
  • python3-jupyter_notebook-latex >= 5.7.7-lp151.2.3.1
Patchnames:
openSUSE-2021-78
openSUSE Leap 15.2
  • jupyter-notebook >= 5.7.8-lp152.2.3.1
  • jupyter-notebook-doc >= 5.7.8-lp152.2.3.1
  • jupyter-notebook-lang >= 5.7.8-lp152.2.3.1
  • jupyter-notebook-latex >= 5.7.8-lp152.2.3.1
  • python2-notebook >= 5.7.8-lp152.2.3.1
  • python2-notebook-lang >= 5.7.8-lp152.2.3.1
  • python3-notebook >= 5.7.8-lp152.2.3.1
  • python3-notebook-lang >= 5.7.8-lp152.2.3.1
Patchnames:
openSUSE-2021-24